
import { _decorator, Component, Node } from 'cc';
import { Consts } from '../../Consts';
import { Prop } from '../../Data/Sample/Prop/Prop';
import EventManager from '../../UIFrame/EventManager';
const { ccclass, property } = _decorator;

@ccclass('PropItem')
export class PropItem extends Component {

    prop: Prop;


    start() {

    }

    public press() {
        EventManager.emit(Consts.PRESS_PROP_NODE, this.prop);
    }

}
